#!/usr/bin/perl
#
# feat - common routines for working with features files
#
# $Revision: 1.6 $$Date: 2002/06/21 15:20:05 $

use 5.6.0;
use strict;
use warnings;


# Determine filetype from input line.

sub guess_filetype {

    $_ = $_[0];				# Line possibly containing filetype info.

    return if (/^\s*$/ || /^\s*#/);     # Skip blank lines and comments.
    if (/^\s*[><|]/) {
        warn "This appears to be an exons file.\n";
        return "e";
    } elsif (/^\s*%define/ && /annotation/) {
        warn "This appears to be an annotations file.\n";
        return "a";
    } elsif (/^\s*%:repeats/ || /Right/ || /Left/) {
        warn "This appears to be a repeats file.\n";
        return "r";
    } else {
	return "";
    }
}


# Reverse the direction of the head and tail.

sub reverse_dir {

    my ($head, $tail, $filetype) = @_;

    return if ($head =~ /^\s*#/);
    if ($filetype eq "e") {
	$head =~ tr/<>/></;
    } elsif ($filetype eq "r") {
	$tail =~  s/Left/Right/ || $tail =~ s/Right/Left/;
    }
    return ($head, $tail);
}



return 1;
